Usages - List By Subscription

取得指定訂用帳戶中所有搜尋配額使用量的清單。

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages?api-version=2023-11-01

URI 參數

名稱 位於 必要 類型 Description
location
path True

string

Microsoft Azure 地理區域的唯一位置名稱。

subscriptionId
path True

string

Microsoft Azure 訂用帳戶的唯一標識符。 您可以從 Azure Resource Manager API、命令行工具或入口網站取得此值。

api-version
query True

string

每個要求所使用的 API 版本。

要求標頭

名稱 必要 類型 Description
x-ms-client-request-id

string (uuid)

用戶端產生的 GUID 值,可識別此要求。 如果指定,則會以追蹤要求的方式包含在響應資訊中。

回應

名稱 類型 Description
200 OK

QuotaUsagesListResult

作業成功。 回應包含指定訂用帳戶的所有搜尋配額使用量清單。

Other Status Codes

CloudError

作業期間發生未預期的錯誤。

安全性

azure_auth

Microsoft Entra ID OAuth2 授權流程。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

GetQuotaUsagesList

範例要求

GET https://management.azure.com/subscriptions/subid/providers/Microsoft.Search/locations/westus/usages?api-version=2023-11-01

範例回覆

{
  "value": [
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/free",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "free",
        "localizedValue": "F - Free"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/basic",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "basic",
        "localizedValue": "B - Basic"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "standard",
        "localizedValue": "S - Standard"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard2",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "standard2",
        "localizedValue": "S2 - Standard2"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard3",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "standard3",
        "localizedValue": "S3 - Standard3"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/storageOptimizedL1",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "storageOptimizedL1",
        "localizedValue": "L1 - Storage Optimized"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/storageOptimizedL2",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "storageOptimizedL2",
        "localizedValue": "L2 - Storage Optimized"
      }
    }
  ],
  "nextLink": null
}

定義

名稱 Description
CloudError

包含 API 錯誤的相關信息。

CloudErrorBody

描述具有錯誤碼和訊息的特定 API 錯誤。

Name

Azure AI 搜尋所支援 SKU 的名稱。

QuotaUsageResult

描述特定 SKU 的配額使用量。

QuotaUsagesListResult

包含 Azure AI 搜尋所支援之所有 SKU 配額使用量資訊的回應。

CloudError

包含 API 錯誤的相關信息。

名稱 類型 Description
error

CloudErrorBody

描述具有錯誤碼和訊息的特定 API 錯誤。

CloudErrorBody

描述具有錯誤碼和訊息的特定 API 錯誤。

名稱 類型 Description
code

string

比 HTTP 狀態代碼更精確地描述錯誤條件的錯誤碼。 可用來以程式設計方式處理特定錯誤案例。

details

CloudErrorBody[]

包含與此錯誤相關的巢狀錯誤。

message

string

描述錯誤的詳細訊息,並提供偵錯資訊。

target

string

特定錯誤的目標(例如,錯誤中的屬性名稱)。

Name

Azure AI 搜尋所支援 SKU 的名稱。

名稱 類型 Description
localizedValue

string

SKU 名稱的當地語系化字串值。

value

string

Azure AI 搜尋所支援的 SKU 名稱。

QuotaUsageResult

描述特定 SKU 的配額使用量。

名稱 類型 Description
currentValue

integer (int32)

目前用於特定搜尋 SKU 的值。

id

string

Microsoft.Search 提供者配額使用量 SKU 端點的資源識別碼。

limit

integer (int32)

特定搜尋 SKU 的配額限制。

name

Name

Azure AI 搜尋所支援 SKU 的名稱。

unit

string

搜尋 SKU 的度量單位。

QuotaUsagesListResult

包含 Azure AI 搜尋所支援之所有 SKU 配額使用量資訊的回應。

名稱 類型 Description
nextLink

string

可用來查詢配額使用量下一頁的要求URL。 當要求的配額使用量總數超過頁面大小上限時傳回。

value

QuotaUsageResult[]

Azure AI 搜尋所支援 SKU 的配額使用量。